<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            {{'mpmApp.orders.home.createOrEditLabel' | translate}}
        </p-header>

        <div class="modal-body">
            
            <div class="form-group" [hidden]="!orders.idOrder">
                <label for="id" jhiTranslate="global.field.id">ID</label>
                <input type="text" class="form-control" id="id" name="id" [(ngModel)]="orders.idOrder" readonly />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.orders.orderNumber" for="field_orderNumber">Order Number</label>
                <input type="text" class="form-control" name="orderNumber" id="field_orderNumber"
                    [(ngModel)]="orders.orderNumber"  />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.orders.dateEntry" for="field_dateEntry">Date Entry</label>
                <div class="input-group">
                    <p-calendar inputId="field_dateEntry" name="input_dateEntry" [(ngModel)]="orders.dateEntry"
                        dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                        [showIcon]="true"></p-calendar>
                </div>
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.orders.dateOrder" for="field_dateOrder">Date Order</label>
                <div class="input-group">
                    <p-calendar inputId="field_dateOrder" name="input_dateOrder" [(ngModel)]="orders.dateOrder"
                        dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                        [showIcon]="true"></p-calendar>
                </div>
            </div>

            <div class="form-group">
                <label jhiTranslate="mpmApp.orders.payment" for="field_payment">Payment</label>
                <select class="form-control" id="field_payment" multiple name="payment" [(ngModel)]="orders.payments">
                    <option [ngValue]="getSelected(orders.payments, paymentApplicationOption)" *ngFor="let paymentApplicationOption of paymentapplications; trackBy: trackPaymentApplicationById">{{paymentApplicationOption.id}}</option>
                </select>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.orders.orderType" for="field_orderType">Order Type</label>
                <select class="form-control" id="field_orderType" name="orderType" [(ngModel)]="orders.orderTypeId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="orderTypeOption.idOrderType" *ngFor="let orderTypeOption of ordertypes; trackBy: trackOrderTypeById">{{orderTypeOption.description}}</option>
                </select>
            </div>
        </div>
    
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                label="{{'entity.action.save' | translate}}" 
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </p-footer>
    </p-panel>
</form>    